Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.tbutils.res
Class JNDIResourceProvider

    java.lang.Object
      com.tonbeller.tbutils.res.JNDIResourceProvider

All Implemented Interfaces:
  ResourceProvider

public class JNDIResourceProvider
extends java.lang.Object
implements ResourceProvider

Adapter for java naming

Field Summary
`static java.lang.String` | `JNDI_NULL`

Constructor Summary
`JNDIResourceProvider()`

Method Summary
`void` | `close()` frees resources
`void` | `dump(Dumper d)` for debugging / logging
`java.lang.String` | `getName()` for debugging / logging
`java.lang.String` | `getString(java.lang.String key)` returns null if key does not exist
`java.util.Collection` | `keySet()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JNDI_NULL

    public static final java.lang.String JNDI_NULL

See Also:
  Constant Field Values

Constructor Detail

### JNDIResourceProvider

    public JNDIResourceProvider()

Method Detail

### getString

    public java.lang.String getString(java.lang.String key)

  Description copied from interface: `ResourceProvider`
  returns null if key does not exist

  Specified by:
    `getString` in interface `ResourceProvider`

### keySet

    public java.util.Collection keySet()

  Specified by:
    `keySet` in interface `ResourceProvider`

### close

    public void close()

  Description copied from interface: `ResourceProvider`
  frees resources

  Specified by:
    `close` in interface `ResourceProvider`

### dump

    public void dump(Dumper d)

  Description copied from interface: `ResourceProvider`
  for debugging / logging

  Specified by:
    `dump` in interface `ResourceProvider`

### getName

    public java.lang.String getName()

  Description copied from interface: `ResourceProvider`
  for debugging / logging

  Specified by:
    `getName` in interface `ResourceProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD